<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class IndexAction extends AuthorAction
{
    public function run()
    {
        $authorId = $this->getAuthorId();
        $books = $this->db()->setQueryString("SELECT * FROM `".Book::table()."` WHERE authorid = '$authorId' AND authorid <> '' ORDER BY bookid DESC")->find();
        
        $this->getController()->render('index',array('books'=>$books));
    }
}